summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-03-10 11:50:21 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-03-10 11:50:21 +0300
commit32a7cd4de556f6821b690eb09001557b3dc3b33f (patch)
treeda1ba5f8a8f201e44b7576732ea665a15a08d6cf
parent488fd7d7c667274bd9a22c490877c6cd7da567a2 (diff)
mpv: sync with gentoo
-rw-r--r--media-video/mpv/mpv-scm.ebuild67
1 files changed, 42 insertions, 25 deletions
diff --git a/media-video/mpv/mpv-scm.ebuild b/media-video/mpv/mpv-scm.ebuild
index b6e943b..f85f1f9 100644
--- a/media-video/mpv/mpv-scm.ebuild
+++ b/media-video/mpv/mpv-scm.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/mpv/mpv-9999.ebuild,v 1.74 2015/05/24 04:44:23 yngwin Exp $
@@ -8,31 +8,35 @@ PYTHON_COMPAT=( python{2_7,3_4,3_5} )
PYTHON_REQ_USE='threads(+)'
inherit eutils python-any-r1 waf-utils pax-utils fdo-mime gnome2-utils git-r3
-WAF_PV="1.8.12"
+WAF_PV=1.8.12
DESCRIPTION="Media player based on MPlayer and mplayer2"
-HOMEPAGE="http://mpv.io/"
+HOMEPAGE="https://mpv.io/"
SRC_URI+=" https://waf.io/waf-${WAF_PV}"
DOCS=( README.md etc/input.conf )
EGIT_REPO_URI="https://github.com/mpv-player/mpv.git"
# See Copyright in source tarball and bug #506946. Waf is BSD, libmpv is ISC.
-LICENSE="GPL-3+ BSD ISC"
+LICENSE="GPL-2+ BSD ISC"
SLOT="0"
-IUSE="aqua +alsa archive bluray cdda +cli coreaudio doc drm dvb dvd +egl
+IUSE="aqua +alsa archive bluray cdda +cli coreaudio cplugins cuda doc drm dvb dvd +egl
encode gbm +iconv jack jpeg lcms +libass libav libcaca libmpv +lua
luajit openal +opengl oss pulseaudio raspberry-pi rubberband samba -sdl
selinux test tools +uchardet v4l vaapi vdpau vf-dlopen wayland +X xinerama
+xscreensaver +xv zsh-completion"
+IUSE+=" cpu_flags_x86_sse4_1"
REQUIRED_USE="
|| ( cli libmpv )
aqua? ( opengl )
+ cuda? ( !libav || ( opengl egl ) )
egl? ( || ( gbm X wayland ) )
gbm? ( drm egl )
lcms? ( || ( opengl egl ) )
luajit? ( lua )
+ opengl? ( || ( aqua X !cli? ( libmpv ) ) )
+ test? ( || ( opengl egl ) )
tools? ( cli )
uchardet? ( iconv )
v4l? ( || ( alsa oss ) )
@@ -43,18 +47,19 @@ REQUIRED_USE="
xscreensaver? ( X )
xv? ( X )
zsh-completion? ( cli )
+ ${PYTHON_REQUIRED_USE}
"
COMMON_DEPEND="
- !libav? ( >=media-video/ffmpeg-2.4:0=[encode?,threads,vaapi?,vdpau?] )
- libav? ( >=media-video/libav-11:0=[encode?,threads,vaapi?,vdpau?] )
+ !libav? ( >=media-video/ffmpeg-3.2.2:0=[encode?,threads,vaapi?,vdpau?] )
+ libav? ( >=media-video/libav-12:0=[encode?,threads,vaapi?,vdpau?] )
sys-libs/zlib
alsa? ( >=media-libs/alsa-lib-1.0.18 )
archive? ( >=app-arch/libarchive-3.0.0:= )
bluray? ( >=media-libs/libbluray-0.3.0 )
cdda? ( dev-libs/libcdio-paranoia )
+ cuda? ( >=media-video/ffmpeg-3.3:0 )
drm? ( x11-libs/libdrm )
- dvb? ( virtual/linuxtv-dvb-headers )
dvd? (
>=media-libs/libdvdnav-4.2.0
>=media-libs/libdvdread-4.1.0
@@ -62,7 +67,7 @@ COMMON_DEPEND="
egl? ( media-libs/mesa[egl,gbm(-)?,wayland(-)?] )
iconv? (
virtual/libiconv
- uchardet? ( dev-libs/uchardet )
+ uchardet? ( app-i18n/uchardet )
)
jack? ( virtual/jack )
jpeg? ( virtual/jpeg:0 )
@@ -73,21 +78,22 @@ COMMON_DEPEND="
)
libcaca? ( >=media-libs/libcaca-0.99_beta18 )
lua? (
- !luajit? ( || ( =dev-lang/lua-5.1*:= =dev-lang/lua-5.2*:= ) )
+ !luajit? ( <dev-lang/lua-5.3:= )
luajit? ( dev-lang/luajit:2 )
)
openal? ( >=media-libs/openal-1.13 )
- opengl? ( !aqua? ( virtual/opengl ) )
+ opengl? ( X? ( virtual/opengl ) )
pulseaudio? ( media-sound/pulseaudio )
raspberry-pi? (
>=media-libs/raspberrypi-userland-0_pre20160305-r1
- media-libs/mesa[egl,gles2]
+ virtual/opengl
)
rubberband? ( >=media-libs/rubberband-1.8.0 )
samba? ( net-fs/samba[smbclient(+)] )
sdl? ( media-libs/libsdl2[sound,threads,video,X?,wayland?] )
v4l? ( media-libs/libv4l )
vaapi? ( >=x11-libs/libva-1.4.0[drm?,X?,wayland?] )
+ vdpau? ( >=x11-libs/libvdpau-0.2 )
wayland? (
>=dev-libs/wayland-1.6.0
>=x11-libs/libxkbcommon-0.3.0
@@ -97,7 +103,6 @@ COMMON_DEPEND="
x11-libs/libXext
>=x11-libs/libXrandr-1.2.0
opengl? ( x11-libs/libXdamage )
- vdpau? ( >=x11-libs/libvdpau-0.2 )
xinerama? ( x11-libs/libXinerama )
xscreensaver? ( x11-libs/libXScrnSaver )
xv? ( x11-libs/libXv )
@@ -105,13 +110,16 @@ COMMON_DEPEND="
"
DEPEND="${COMMON_DEPEND}
${PYTHON_DEPS}
- dev-lang/perl
dev-python/docutils
virtual/pkgconfig
doc? ( dev-python/rst2pdf )
+ dvb? ( virtual/linuxtv-dvb-headers )
test? ( >=dev-util/cmocka-1.0.0 )
+ v4l? ( virtual/os-headers )
+ zsh-completion? ( dev-lang/perl )
"
RDEPEND="${COMMON_DEPEND}
+ cuda? ( x11-drivers/nvidia-drivers[X] )
selinux? ( sec-policy/selinux-mplayer )
tools? ( ${PYTHON_DEPS} )
"
@@ -156,6 +164,7 @@ src_configure() {
$(use_enable doc html-build)
$(use_enable doc pdf-build)
+ $(use_enable cplugins)
$(use_enable vf-dlopen vf-dlopen-filters)
$(use_enable zsh-completion zsh-comp)
$(use_enable test)
@@ -218,6 +227,7 @@ src_configure() {
$(use_enable jpeg)
--disable-android
$(use_enable raspberry-pi rpi)
+ $(usex opengl "$(use_enable !aqua standard-gl)" '--disable-standard-gl')
--disable-ios-gl
$(usex libmpv "$(use_enable opengl plain-gl)" '--disable-plain-gl')
--disable-mali-fbdev # Only available in overlays.
@@ -225,8 +235,8 @@ src_configure() {
# HWaccels:
# Automagic Video Toolbox HW acceleration. See Gentoo bug 577332.
$(use_enable vaapi vaapi-hwaccel)
- # Automagic VDPAU HW acceleration. See Gentoo bug 558870.
- --disable-cuda # No support in ffmpeg. See Gentoo bug 595450.
+ $(use_enable vdpau vdpau-hwaccel)
+ $(use_enable cuda cuda-hwaccel)
# TV features:
$(use_enable v4l tv)
@@ -280,23 +290,30 @@ pkg_preinst() {
}
pkg_postinst() {
- local rv softvol_0_18_1=0
+ local rv softvol_0_18_1=0 osc_0_21_0=0
+
for rv in ${REPLACING_VERSIONS}; do
- version_compare ${rv} 0.18.1-r1
+ version_compare ${rv} 0.18.1
[[ $? -eq 1 ]] && softvol_0_18_1=1
+ version_compare ${rv} 0.21.0
+ [[ $? -eq 1 ]] && osc_0_21_0=1
done
if [[ ${softvol_0_18_1} -eq 1 ]]; then
- elog "Starting from version 0.18.1 the software volume control is"
- elog "enabled by default, see:"
- elog "https://github.com/mpv-player/mpv/blob/v0.18.1/DOCS/interface-changes.rst"
- elog "https://github.com/mpv-player/mpv/issues/3322"
- elog
+ elog "Since version 0.18.1 the software volume control is always enabled."
elog "This means that volume controls don't change the system volume,"
elog "e.g. per-application volume with PulseAudio."
- elog "If you want to restore the old behaviour, please refer to"
+ elog "If you want to restore the previous behaviour, please refer to"
+ elog
+ elog "https://wiki.gentoo.org/wiki/Mpv#Volume_in_0.18.1"
+ elog
+ fi
+
+ if [[ ${osc_0_21_0} -eq 1 ]]; then
+ elog "In version 0.21.0 the default OSC layout was changed."
+ elog "If you want to restore the previous layout, please refer to"
elog
- elog "https://bugs.gentoo.org/show_bug.cgi?id=588492#c7"
+ elog "https://wiki.gentoo.org/wiki/Mpv#OSC_in_0.21.0"
elog
fi